package com.inspect.statistics;

import lombok.Getter;

@Getter
public enum StatisticsType {
    Three("三相对比"),
    IRDiff("红外非同源"),
    LocationDiff("位置非同源"),
    NumMeter("数字表计非同源"),
    PointMeter("指针表计非同源"),
    DiffTime("设备不同时间"),
    MeterTimes("设备表计次数");

    private String type;

    private StatisticsType(String type) {
        this.type = type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public static StatisticsType getByType(String type) {
        StatisticsType[] var1 = values();
        int var2 = var1.length;

        for (int var3 = 0; var3 < var2; ++var3) {
            StatisticsType item = var1[var3];
            if (item.getType().equalsIgnoreCase(type)) {
                return item;
            }
        }

        return null;
    }
}
